Postgres-XC 1.1 Documentation
Prev | Up |  | Next

# CREATE NODE GROUP

## Name

CREATE NODE GROUP -- create a group of cluster nodes

## Synopsis

    CREATE NODE GROUP groupname
    WITH ( nodename [, ... ] )

## Description

> Note: The following description applies only to Postgres-XC

`CREATE NODE GROUP` is new SQL query specific to Postgres-XC since 0.9.7 that creates node group information in catalog pgxc_group.

`CREATE NODE` only runs on the local node where it is launched.

## Parameters

`groupname`

  The name of the selected cluster node group.

`nodename`

  The name of a cluster node.

## Notes

A group of nodes works as an alias for node lists when defining tables on sub-clusters. Only Datanode can be included in node groups.

## Examples

Create a cluster node group made of nodes called Datanode1, Datanode2.

    CREATE NODE GROUP cluster_group WITH Datanode1, Datanode2;

## Compatibility

`CREATE NODE GROUP` does not conform to the SQL standards, it is a Postgres-XC specific command.

Prev | Home | Next
CREATE NODE | Up | CREATE OPERATOR